
local glevel emcare_low
foreach f of local glevel {

use ${dd}\ed_episodes_cleaned.dta, clear
	sort year_start bi_ind
	egen bigroup=group(year_start bi_ind)
	egen mogroup=group(year_start month_start)

estimates clear

*use the proper sample
merge m:1 aha using ${sc}/group_levels/`f'_fullsample.dta
	keep if _merge==3
	drop _merge

*episodes per year
bysort aha year_start: gen ep_counts=_N

*looking at hospitals with low OON
if "`f'"=="emcare_low"		local m "emcare"

*Here we define the proper time for the different levels of entry we look at

*creating entry at t-2, t-1, t, t+1, and t+2
gen `m'_l2=`m'_year_entry-2
gen `m'_l1=`m'_year_entry-1
gen `m'_a1=`m'_year_entry+1
gen `m'_a2=`m'_year_entry+2

*Go through each new entry period (t-2, t-1, t+1, t+2) and redefine a hospitals entry
*based off of the new year it starts in. For example, a hospital with entry in 2013,October now
*has entry in 2011,October and on. We do this at the year month level.
local cat=0
local looper `m'_l2 `m'_l1 `m'_a1 `m'_a2

foreach z of local looper {
	replace `z'=2011 if `z'<2011
	local cat=`cat'+1
	gen `m'_entry`cat'=.
	replace `m'_entry`cat'=1 if `z'==year_start & `m'_month_entry==month_start
	sort aha year_start month_start
	bysort aha: replace `m'_entry`cat'=`m'_entry`cat'[_n-1] if missing(`m'_entry`cat')
	replace `m'_entry`cat'=0 if `m'_entry`cat'==.
}

*Entry at the true time
gen `m'_entry_norm=.
replace `m'_entry_norm=1 if `m'_year_entry==year_start & `m'_month_entry==month_start

sort aha year_start month_start
bysort aha: replace `m'_entry_norm=`m'_entry_norm[_n-1] if missing(`m'_entry_norm)
replace `m'_entry_norm=0 if `m'_entry_norm==.
 
foreach var of varlist oon_ind {

*Version 1 (all other hospitals included)
eststo: areg `var' i.mogroup `m'_entry1 `m'_entry2 `m'_entry_norm `m'_entry3 `m'_entry4 pat_female i.pat_age i.pat_race charind , absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}/final_tables/`f'_oon_timelag.csv, stats(ymean ysd N) replace se ///
	nogaps drop(_cons *mogroup* *pat_age* *pat_race* pat_female charind) r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	
}

}










