
local glevel emcare teamhealth
foreach f of local glevel {

use ${dd}\ed_episodes_cleaned.dta, clear
	sort year_start bi_ind
	egen bigroup=group(year_start bi_ind)
	egen mogroup=group(year_start month_start)


*use the proper sample
merge m:1 aha using ${sc}/group_levels/`f'_fullsample.dta
	keep if _merge==3
	drop _merge

*episodes per year
bysort aha year_start: gen ep_counts=_N

*define the entry
if ("`f'"=="emcare_high" | "`f'"=="emcare_low" | "`f'"=="emcare") {
rename emcare_entry entry_marker
}

if ("`f'"=="teamhealth_high" | "`f'"=="teamhealth_low" | "`f'"=="teamhealth") {
rename teamhealth_entry entry_marker
}

*Coding all charlson scores above 6
gen cindex12=charlson12
replace cindex12=6 if cindex12>6

estimates clear

*looping through all variables 
foreach var of varlist hist6_calc_allwd hist12_calc_allwd cindex cindex12   {

preserve
if "`var'"=="hist12_calc_allwd" 	keep if mbr_12mo_enroll=="Y"
if "`var'"=="cindex12"				keep if mbr_12mo_enroll=="Y"

*Version 1 (all other hospitals included)
eststo: areg `var' i.mogroup entry_marker, absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}/final_tables/`f'_outcomes_spending.csv, stats(ymean ysd N) replace se ///
	nogaps drop(_cons *mogroup*) r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	
restore
	
}

}














