*This code creates all the tables from the paper "Surprise! Out-of-Network Billing for Emergency Care in the United States"
*Section 1 creates all of the main tables
*Section 2 creates all tables in the appendix

*======================================
*Section 1
*======================================

*TABLE 1
*Ed Episodes and Annual Spending 
do ${oc}\summarystats_annualspending.do

*TABLE 2
*HRR and Hospital Level OON Rates, 2011-2015
do ${oc}\summarystats_oonrate.do

*TABLE 3
*Physician and Facility Payments and OON Rates for Hospitals that Outsourced ED to EmCare/Teamhealth
do ${oc}\regs_lhs.do

*Prior to tables 4 and on, create proper samples (high/low OON hospitals)
do ${oc}\reg_samplegroups.do

*Psmatch2 package for propensity scores
do ${oc}\psmatch2.ado

*TABLE 4
*The Impact of Entry of EmCare on Hospital OON Rates
do ${oc}\regs_entry_oon.do

*TABLE 5 and TABLE 7
*The Impact of Entry of TeamHealth/EmCare on Payments and Provider Behavior
do ${oc}\regs_entry_outcomes.do	

*TABLE 6
*Estimating the Impact of the Entry of EmCare by Year
do ${oc}\regs_entry_outcomes_timelags.do
	*Note that column one uses only low OON hospitals 
	do ${oc}\regs_entry_oon_timelags.do

*TABLE 8
*Estimating the Impact of the NY Surprise Billing Law
do ${oc}\regs_nypost.do

*======================================
*Section 2
*======================================

*APPENDIX TABLE 1
*Hospital Characteristics
do ${oc}\summarystats_hosp.do

*APPENDIX TABLE 3
*Comparison of Hospital Characteristics
do ${oc}\summarystats_hosp_ttest.do

*APPENDIX TABLE 4
*ED Episode Descriptive Statistics
do ${oc}\summarystats_lhs.do

*APPENDIX TABLE 5
*Physician Payment Rates for ED Visits
do ${oc}\summarystats_payments.do

*APPENDIX TABLES 6,7,10,11
*Estimating the Impact of Entry of EmCare/Teamhealth on Payments and Provider Behavior
*Propensity/State Control Groups
do ${oc}\regs_entry_outcomes_alts.do

*APPENDIX TABLES 8,9
*Estimating the Impact of Entry of EmCare/Teamhealth on Payments and Provider Behavior
*Only Hospitals with High/Low OON Rates Control Groups
do ${oc}\regs_entry_outcomes_highlow.do

*APPENDIX TABLE 12
*The Impact of Entry on Historical Spending and Charlson Scores
do ${oc}\regs_entry_spending.do

*APPENDIX TABLES 13,14,15,16
*The Impact of Entry of EmCare on Coding Severity/Facility Payments/Imaging/Admissions, Robustness
do ${oc}\regs_entry_updcodingrobust.do

*APPENDIX TABLE 17
*Ed Episodes and Annual Spending (only in NY)
do ${oc}\summarystats_annualspending.do
